Subject: Relevant code

From: Richard Sent <[email-masked]>
Date: Fri, 28 Jun 2024 00:29:53 -0400

For whoever takes this on, I believe the relevant code is
resolve-dependencies in (guix channels). Note that resolve-dependencies
operates on <channel-instance> records, not <channel>.

I came up with something earlier that handled one level of searching in
the dependency graph, but between the awkwardness of converting between
<channel-instance> to <channel-metadata> to <channel> to
<channel-instance> and the unfamiliar VHash structure, couldn't quite
iron it out to handle arbitrary depths. Unfortunately that code is lost,
but I'll give it another try sometime if no one else gets to this first.

-- 
Take it easy,
Richard Sent
Making my computer weirder one commit at a time.